Summary:        Enclosure LED Utilities
Name:           ledmon
Version:        0.97
Release:        3%{?dist}
License:        GPLv2+
URL:            https://github.com/intel/ledmon
Source0:        https://github.com/intel/ledmon/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:         ledmon_format-truncation-flag.patch
BuildRequires:  sg3_utils-devel, pciutils-devel, autoconf, automake, gcc, make, systemd-devel
Requires:       sg3_utils-libs
Provides:       ledctl = %{version}-%{release}


%description
The ledmon application is a daemon process used to monitor a state of software 
RAID devices (md only) or a state of block devices. The state is visualizing on
LEDs associated to each slot in an enclosure or a drive bay. There are two 
types of system: 2-LEDs system (Activity LED, Status LED) and 3-LEDs system 
(Activity LED, Locate LED, Fail LED). This application has the highest priority
when accessing the LEDs.

The ledmon application supports LED management of the SAS/SATA and PCIe 
storages.

Supported protocols/methods for LED management are:

 * SES-2 and SMP for SAS devices,

 * LED messages over SGPIO for SATA,

 * VMD and NPEM for PCIe.

SAF-TE protocol is not supported.



%prep
%autosetup -p1




%build
autoreconf -fiv
bash autogen.sh
%configure --enable-systemd=yes
%make_build



%install
%make_install SBIN_DIR=%{buildroot}%{_sbindir} MANDIR=%{buildroot}%{_mandir}



%files
%license COPYING
%doc README.md
%{_sbindir}/ledctl
%{_sbindir}/ledmon
%{_mandir}/*/*
%{_unitdir}/ledmon.service



%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.97-3
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 23 2023 Feng Weiyao <wynnfeng@tencent.com> - 0.97-2
- Rebuilt for sg3_utils-1.48

* Tue Jul 13 2023 Shuo Wang <abushwang@tencent.com> - 0.97-1
- update to 0.97

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.96-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.96-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Aug 26 2022 Zhao Zhen <jeremiazhao@tencent.com> - 0.96-1
- Initial building.
